package stackjava.com.cdidemo.dao;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.enterprise.inject.Any;
import javax.enterprise.inject.Instance;
import javax.inject.Inject;
import javax.inject.Named;

@Named("daoUtils")
public class DAOUtils {

	public DAOUtils() {
		System.out.println("Constructor...");
	}

	@Inject
	@Any
	private Instance<ConnectDatabase> allConnectType;

	@PostConstruct
	public void init() {
		System.out.println("PostConstruct...");
	}

	@PreDestroy
	public void destroy() {
		System.out.println("Destroy!");
	}

	public void query() {
		for (ConnectDatabase conn : allConnectType) {
			conn.connect();
		}

		System.out.println("query database...");
	}

}
